---
title: tooling::PubIntroSentEvent

---

# tooling::PubIntroSentEvent





Inherits from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PubIntroSentEvent](Classes/structtooling_1_1PubIntroSentEvent.md#function-pubintrosentevent)**(const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & ourRouter, const [llarp::dht::Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & introsetPubkey_, const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & relay_, uint64_t relayIndex_) |
| virtual std::string | **[ToString](Classes/structtooling_1_1PubIntroSentEvent.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::dht::Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[introsetPubkey](Classes/structtooling_1_1PubIntroSentEvent.md#variable-introsetpubkey)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[relay](Classes/structtooling_1_1PubIntroSentEvent.md#variable-relay)**  |
| uint64_t | **[relayIndex](Classes/structtooling_1_1PubIntroSentEvent.md#variable-relayindex)**  |

## Additional inherited members

**Public Functions inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |

**Public Attributes inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |


## Public Functions Documentation

### function PubIntroSentEvent

```cpp
inline PubIntroSentEvent(
    const llarp::RouterID & ourRouter,
    const llarp::dht::Key_t & introsetPubkey_,
    const llarp::RouterID & relay_,
    uint64_t relayIndex_
)
```


### function ToString

```cpp
inline virtual std::string ToString() const
```


**Reimplements**: [tooling::RouterEvent::ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)


## Public Attributes Documentation

### variable introsetPubkey

```cpp
llarp::dht::Key_t introsetPubkey;
```


### variable relay

```cpp
llarp::RouterID relay;
```


### variable relayIndex

```cpp
uint64_t relayIndex;
```


-------------------------------

Updated on 2023-01-27 at 23:09:25 +0000